Bug 108045 - Time change (daylight to standard) didn't work
Time change (daylight to standard) didn't work
Status: CLOSED WORKSFORME
Product: Red Hat Linux Beta
Classification: Retired
Component: util-linux (Show other bugs)
beta3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-26 19:06 EST by Tom Wood
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 15:43:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2003-10-26 19:06:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031023

Description of problem:
System didn't reset time as result of time change back to standard time from
central time.  Timezone set to Americas/New York.

Version-Release number of selected component (if applicable):
util-linux-2.11y-29

How reproducible:
Always

Steps to Reproduce:
1. Set date prior to 10/26/2003 @ 2:00 AM
2. Wait for rollover to standard time.
3. Watch system miss rolling back the time 1 hour.
    

Actual Results:  Standard time set on box.

Expected Results:  Still in DST.

Additional info:

Unsure as to the guilty component.  May have to reassign.

kernel is 2.6.0-0.test8.1.66.  Didn't try with others, but will be happy to do so.
Comment 1 Elliot Lee 2003-10-28 09:41:24 EST
May need to do the 'set system clock to GMT' thing... Give it a try with the FC1
kernel instead of that 2.6 monstrosity :)
Comment 2 Tom Wood 2003-10-28 14:36:17 EST
But I *like* the monstrosity! ;-)  After all, it's Halloween!
Comment 3 Elliot Lee 2004-08-20 15:43:06 EDT
Worked fine for me just now. This is with the FC3 devel tree. I'm
pretty sure I don't have the hw clock set to UTC. I'm assuming it's
something weird with your system or it got fixed since.

Note You need to log in before you can comment on or make changes to this bug.